"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const utils_1 = require("../../utils");
const useHydrateQuizLocalState = (quizId, quizSessionStorageState, dispatchLocalState) => {
    const { key: quizSessionStorageStateKey, skipToResults } = quizSessionStorageState;
    const sessionStorageQuizState = (0, utils_1.getStateFromSessionStorage)(quizSessionStorageStateKey);
    const hydrateQuizLocalStateHandler = (0, react_1.useCallback)(() => {
        const quizData = sessionStorageQuizState === null || sessionStorageQuizState === void 0 ? void 0 : sessionStorageQuizState[quizId];
        if (quizData) {
            dispatchLocalState({
                type: actions_1.QuestionTypes.Hydrate,
                payload: quizData,
            });
        }
    }, [dispatchLocalState, quizId, sessionStorageQuizState]);
    (0, react_1.useEffect)(() => {
        if (skipToResults)
            hydrateQuizLocalStateHandler();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return hydrateQuizLocalStateHandler;
};
exports.default = useHydrateQuizLocalState;
