"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const utils_1 = require("../../utils");
const constants_1 = require("../../constants");
const useSessionStorageState = (quizId, quizLocalState, sessionStateOptions, enableHydration) => {
    var _a;
    const quizSessionStorageStateKey = (sessionStateOptions === null || sessionStateOptions === void 0 ? void 0 : sessionStateOptions.sessionStateKey) || constants_1.quizSessionStateKey;
    // Save state to session storage
    (0, react_1.useEffect)(() => {
        var _a, _b;
        // don't save state if initial state
        if (enableHydration && ((_a = quizLocalState === null || quizLocalState === void 0 ? void 0 : quizLocalState.answers) === null || _a === void 0 ? void 0 : _a.length)) {
            const data = (0, utils_1.getStateFromSessionStorage)(quizSessionStorageStateKey);
            const dataToSave = Object.assign(Object.assign({}, data), { [quizId]: quizLocalState });
            (_b = window === null || window === void 0 ? void 0 : window.sessionStorage) === null || _b === void 0 ? void 0 : _b.setItem(quizSessionStorageStateKey, JSON.stringify(dataToSave));
        }
    }, [quizLocalState, quizSessionStorageStateKey, enableHydration, quizId]);
    const quizData = (0, utils_1.getStateFromSessionStorage)(quizSessionStorageStateKey);
    const skipToResults = !!enableHydration &&
        !!((_a = quizData === null || quizData === void 0 ? void 0 : quizData[quizId]) === null || _a === void 0 ? void 0 : _a.isQuizCompleted) &&
        !(sessionStateOptions === null || sessionStateOptions === void 0 ? void 0 : sessionStateOptions.showSessionModalOnResults);
    return {
        skipToResults,
        quizSessionStorageStateKey,
        hasSessionStorageState: () => !!quizData && !!quizData[quizId],
    };
};
exports.default = useSessionStorageState;
