import { useCallback, useEffect } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
import { getStateFromSessionStorage } from '../../utils';
const useHydrateQuizLocalState = (quizId, quizSessionStorageState, dispatchLocalState) => {
    const { key: quizSessionStorageStateKey, skipToResults } = quizSessionStorageState;
    const sessionStorageQuizState = getStateFromSessionStorage(quizSessionStorageStateKey);
    const hydrateQuizLocalStateHandler = useCallback(() => {
        const quizData = sessionStorageQuizState?.[quizId];
        if (quizData) {
            dispatchLocalState({
                type: QuestionTypes.Hydrate,
                payload: quizData,
            });
        }
    }, [dispatchLocalState, quizId, sessionStorageQuizState]);
    useEffect(() => {
        if (skipToResults)
            hydrateQuizLocalStateHandler();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return hydrateQuizLocalStateHandler;
};
export default useHydrateQuizLocalState;
